/* Footer mapa */
.footer-container-map {
    width: 100%;
    height: 102px;
    margin-bottom: 20px;
}
.footer-container-map .footer-map {
    width: 100%;
    height: 100%;
    background: linear-gradient(var(--white), var(--white)) 50% 50% /
            calc(100% - 6px) calc(100% - 6px) no-repeat,
        linear-gradient(0deg, var(--blue) 0%, var(--green) 100%);
    display: flex;
    justify-content: center;
    align-items: center;
}
.footer-container-map iframe {
    width: 100%;
    height: 100%;
    max-width: calc(100vw - 3px);
    max-height: calc(102px - 6px);
}
/* Footer Company */
.footer-container-company {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}
/* Footer Logo */
.footer-container-logo {
    order: 1;
    max-width: 134px;
    width: 50%;
    max-height: 137px;
    height: 100%;
    margin-right: 15px;
}
.footer-container-logo img {
    width: 100%;
    height: 100%;
}
.footer-horizontal-separator {
    margin: 15px 0 26px 0;
    width: 100%;
    order: 3;
    height: 1px;
    background: var(--bg-white);
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
}
/* Footer AboutUs */
.footer-container-info {
    order: 4;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.footer-container-info h2 {
    font-size: 1.0625em;
    text-align: center;
    font-weight: 400;
}
.footer-container-info h2 span {
    color: var(--green);
}
.footer-container-info p {
    font-weight: 400;
    font-size: 0.75em;
    text-align: center;
    padding: 10px 21px 0 21px;
}
/* Footer Links */
.footer-container-social-links {
    display: flex;
    order: 2;
    width: 50%;
    padding: 23.5px 0;
    justify-content: center;
    align-items: center;
}
.footer-container-social {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    font-size: 15px;
    gap: 20px;
}
.footer-container-social i {
    color: var(--green);
}
.footer-vertical-separator {
    width: 2px;
    height: 90px;
    background: linear-gradient(var(--white), var(--white)) 50% 50% /
            calc(100% - 2px) calc(100% - 2px) no-repeat,
        linear-gradient(0deg, var(--blue) 0%, var(--green) 100%);
    margin: 0 18px;
}
.footer-container-links {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 20px;
}
.footer-container-links a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 5px;
}
.footer-container-links a span:nth-child(1) {
    color: var(--blue);
    font-size: 15px;
}
.footer-container-links a span:nth-child(2) {
    color: var(--black);
    font-size: 11px;
}
/* Footer Contacts */
.footer-container-contact {
    display: flex;
    flex-wrap: wrap;
    padding: 0 45px;
    order: 4;
    justify-content: center;
}
.footer-container-contact h2 {
    width: 100%;
    text-align: center;
    color: var(--blue);
    font-size: 1.125em;
    font-weight: 400;
    margin: 22px 0;
}
.footer-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-bottom: 26px;
    gap: 20px;
}
.footer-locale p,
.footer-phone p,
.footer-email p,
.footer-open p {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    font-size: 0.625em;
    font-weight: 400;
}
.footer-locale p span,
.footer-phone p span,
.footer-email p span,
.footer-open p span {
    color: var(--green);
}
.footer-locale p span:nth-child(2),
.footer-phone p span:nth-child(2),
.footer-email p span:nth-child(2),
.footer-open p span:nth-child(2) {
    color: var(--black);
}
.footer-open {
    display: block;
}
/* Footer Adapti */
.footer-adapti {
    background-color: var(--blue);
    width: 100%;
    height: 66px;
    font-size: 1.125em;
}
.container {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.float-left {
    width: 90%;
    display: flex;
    justify-content: center;
    margin-left: 10%;
    color: var(--white);
    font-weight: 300;
    align-items: center;
}
.float-left i {
    padding: 5px;
    color: red;
}
.float-left a {
    padding-left: 5px;
    color: var(--white);
    transition: 0.3s ease-out;
}
.float-left a:hover {
    padding-left: 5px;
    color: var(--green);
}
.float-right {
    width: 10%;
}
.float-right ul {
    display: flex;
    align-items: center;
    gap: 12px;
}
.float-right i {
    color: var(--white);
    transition: 0.3s ease-out;
    font-size: 20px;
}
.float-right i:hover,
.float-right a:hover {
    color: var(--green);
}
@media (min-width: 768px) {
    .container {
        justify-content: space-around;
    }
    .float-left {
        width: auto;
        margin-left: 25%;
    }
    .float-right {
        width: auto;
    }
    .footer-container-social-links {
        width: auto;
    }
    .footer-span-openning{
        display: none;
    }
}
@media (min-width: 1024px) {
    .footer-container-company {
        padding: 60px 0;
        gap: 30px;
    }
    .footer-container-logo {
        width: 30%;
    }
    .footer-horizontal-separator {
        display: none;
    }
    .footer-container-info {
        order: 2;
        width: 40%;
        max-width: 650px;
        padding: 0 20px;
    }
    .footer-container-aboutus p,
    .footer-container-aboutus h2 {
        text-align: left;
    }
    .footer-container-aboutus p {
        padding: 10px 0 0 0;
        font-size: 0.85em;
        line-height: 2em;
    }
    .footer-container-links a {
        font-size: 15px;
    }
    .footer-container-social-links {
        order: 3;
    }
    .footer-container-social {
        gap: 15px;
    }
    .footer-container-social a span {
        font-size: 15px;
    }
    .footer-container-contact {
        width: 100%;
    }
    .footer-container-contact i {
        font-size: 15px;
    }
    .footer-container-contact h2,
    .footer-container-contact .footer-open {
        display: none;
    }
    .footer-grid {
        display: flex;
        /*padding-left: 85px;*/
    }
    .footer-container-social i {
        font-size: 25px;
    }
    .footer-container-links a span:nth-child(1) {
        font-size: 25px;
    }
    .footer-span-openning{
        font-style: italic;
        align-self: center;
        display: block;
        margin-top: 10px;
    }
    .footer{
        display: flex;
        place-content: center;
        flex-direction: column;
    }
    .footer-container-map{
        margin: 0 200px;
        width: auto;
        min-height: 300px;
    }
    .footer-container-map iframe{
        max-width: calc(100% - 6px);
        max-height: calc(300px - 6px);
    }
}
@media (min-width: 1366px) {
    .footer-container-company {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr;
        gap: 50px;
        grid-auto-flow: row;
        grid-template-areas:
            "Logo aboutus-company links-company"
            "contact-company contact-company contact-company";
        justify-items: center;
        align-items: start;
    }
    .footer-container-logo {
        grid-area: Logo;
        max-width: 300px;
        max-height: 300px;
        width: 100%;
        margin: 0;
        align-self: center;
    }
    .footer-container-info {
        grid-area: aboutus-company;
        width: auto;
        max-width: none;
        padding: 0;
    }
    .footer-container-social-links {
        grid-area: links-company;
        justify-self: flex-start;
        align-self: center;
    }
    .footer-container-contact {
        grid-area: contact-company;
        padding: 0;
    }
    .footer-grid {
        padding: 0;
    }
    .footer-container-info h2{
        font-size: 45px;
        margin-bottom: 25px;
    }
    .footer-local p span{
        font-size: 18px;
    }
    .footer-container-aboutus p {
        font-size: 18px;
    }
    .footer-locale p span,
    .footer-phone p span,
    .footer-email p span,
    .footer-open p span {
        font-size: 35px;
    }
    .footer-locale p span:nth-child(2),
    .footer-phone p span:nth-child(2),
    .footer-email p span:nth-child(2),
    .footer-open p span:nth-child(2) {
        font-size: 18.5px;
    }
    .footer-container-social i{
        font-size: 40px;
    }
    .footer-container-social{
        gap: 60px;
        padding: 50px;
    }
    .footer-container-links a span:nth-child(1){
        font-size: 40px;
    }
    .footer-container-links a span:nth-child(2){
        font-size: 18px;
    }
    .footer-container-links{
        gap: 60px;
    }
    .footer-vertical-separator{
        height: 260px;
    }
    .footer-locale{
        width: 300px;
    }
    .footer-grid{
        gap: 100px;
    }
}
@media(max-width:1024px){
    .footer .footer-span-openning{
        display: none;
    }
}
@media (max-width: 500px) {
    .float-left,
    .float-right {
        width: auto;
    }
    .float-right i {
        font-size: 0.8em;
    }
    .float-left {
        margin-left: 0;
        font-size: 0.7em;
    }
    .container {
        gap: 20px;
    }
}
@media (max-width:1200px){

}
